Bug 1749276 - OpenStack: Dynamically provisioned storage not removed when cluster destroyed
Summary: OpenStack: Dynamically provisioned storage not removed when cluster destroyed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.0
Assignee: Mike Fedosin
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 09:34 UTC by Pavol Pitonak
Modified: 2019-10-16 06:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:40:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2329 None None None 2019-09-08 10:36:38 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:40:44 UTC

Description Pavol Pitonak 2019-09-05 09:34:08 UTC
1. installed new cluster on OpenStack
2. create a PVC and a pod using it
3. verify in OpenStack console that a new volume was provisioned
4. destroy cluster (openshift-install destroy cluster)
5. verify in OpenStack console that the volume was provisioned

Comment 2 Eric Duen 2019-09-05 19:04:22 UTC
Assigning to Mike for initial triage.

Comment 3 Eric Duen 2019-09-10 15:16:15 UTC
Target 4.2, there is a fix posted.

Comment 5 David Sanz 2019-09-11 09:35:47 UTC
Verified on 4.2.0-0.nightly-2019-09-11-032939

Comment 6 errata-xmlrpc 2019-10-16 06:40:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.